{
  "name": "kemono-2-client",
  "version": "1.4.0",
  "description": "frontend for kemono 2",
  "private": true,
  "author": "BassOfBass",
  "license": "ISC",
  "scripts": {
    "start": "vite preview --config ./vite.prod.mjs",
    "postinstall": "cd \"fluid-player\" && npm install",
    "dev": "vite --config ./vite.dev.mjs",
    "validate": "node scripts/validate.mjs && tsc --noEmit",
    "prebuild": "cd \"fluid-player\" && npm run build",
    "build": "vite build --config ./vite.prod.mjs"
  },
  "overrides": {
    "vite": "$vite"
  },
  "imports": {
    "#storage/*": "./src/browser/storage/*/index.ts",
    "#hooks": "./src/browser/hooks/index.ts",
    "#components/*": "./src/components/*/index.ts",
    "#env/*": "./src/env/*.ts",
    "#lib/*": "./src/lib/*/index.ts",
    "#pages/*": "./src/pages/*.tsx",
    "#entities/*": "./src/entities/*/index.ts",
    "#css": "./src/css/*.scss",
    "#assets/*": "./src/assets/*",
    "#api/*": "./src/api/*/index.ts"
  },
  "dependencies": {
    "@babel/runtime": "^7.26.7",
    "@uppy/core": "^4.4.2",
    "@uppy/dashboard": "^4.3.1",
    "@uppy/form": "^4.1.1",
    "@uppy/tus": "^4.2.2",
    "clsx": "^2.1.1",
    "diff": "^7.0.0",
    "fluid-player": "file:./fluid-player",
    "micromodal": "^0.4.10",
    "purecss": "^3.0.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-helmet-async": "^2.0.5",
    "react-router": "^7.1.5",
    "sha256-wasm": "^2.2.2",
    "swagger-ui-react": "^5.18.3"
  },
  "devDependencies": {
    "@babel/core": "^7.26.8",
    "@babel/plugin-transform-runtime": "^7.26.8",
    "@babel/preset-env": "^7.26.8",
    "@babel/preset-react": "^7.26.3",
    "@babel/preset-typescript": "^7.26.0",
    "@hyperjump/json-schema": "^1.11.0",
    "@modyfi/vite-plugin-yaml": "^1.1.0",
    "@types/micromodal": "^0.3.5",
    "@types/node": "^22.13.1",
    "@types/react": "^18.2.0",
    "@types/react-dom": "^18.2.0",
    "@types/sha256-wasm": "^2.2.3",
    "@types/swagger-ui-react": "^5.18.0",
    "@types/webpack-bundle-analyzer": "^4.7.0",
    "@vitejs/plugin-legacy": "^6.0.1",
    "@vitejs/plugin-react": "^4.3.4",
    "ajv": "^8.17.1",
    "babel-loader": "^9.2.1",
    "buffer": "^6.0.3",
    "copy-webpack-plugin": "^12.0.2",
    "css-loader": "^7.1.2",
    "fs-extra": "^11.3.0",
    "html-webpack-plugin": "^5.6.3",
    "mini-css-extract-plugin": "^2.9.2",
    "postcss": "^8.5.1",
    "postcss-loader": "^8.1.1",
    "postcss-preset-env": "^10.1.3",
    "rimraf": "^6.0.1",
    "sass": "^1.84.0",
    "sass-loader": "^16.0.4 ",
    "stream-browserify": "^3.0.0",
    "style-loader": "^4.0.0",
    "terser": "^5.39.0",
    "ts-loader": "^9.5.2",
    "typescript": "^5.7.3",
    "vite": "^6.1.0",
    "vite-css-modules": "^1.8.4",
    "vite-plugin-html": "^3.2.2",
    "vite-plugin-static-copy": "^2.2.0",
    "webpack": "^5.97.1",
    "webpack-bundle-analyzer": "^4.10.2",
    "webpack-cli": "^6.0.1",
    "webpack-dev-server": "^5.2.0",
    "webpack-manifest-plugin": "^5.0.0",
    "webpack-merge": "^6.0.1",
    "yaml": "^2.7.0"
  }
}
